Summary:	The eXtended osip library
Summary(pl.UTF-8):	Rozszerzona biblioteka osip
Name:		libeXosip2
Version:	5.0.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/exosip/libexosip2-%{version}.tar.gz
# Source0-md5:	91a69fdd7d5da5b94e71b764cabb2e29
Patch0:		%{name}-link.patch
URL:		http://savannah.nongnu.org/projects/exosip
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	c-ares-devel
BuildRequires:	libosip2-devel >= 5.0.0
BuildRequires:	libtool >= 2:2
BuildRequires:	openssl-devel >= 1.0.2
BuildRequires:	pkgconfig
Requires:	libosip2 >= 5.0.0
Requires:	openssl >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eXosip is a library that hides the complexity of using the SIP
protocol for multimedia session establishement. This protocol is
mainly to be used by VoIP telephony applications (endpoints or
conference server) but might be also usefull for any application that
wish to establish sessions like multiplayer games.

%description -l pl.UTF-8
eXosip jest biblioteką ukrywającą skomplikowane korzystanie z
protokołu SIP dla sesji multimedialnych. Protokół jest przeznaczony do
wykorzystania przez aplikacje telefoniczne korzystające z VoIP
(telefony lub serwery konferencji), ale może być również używany
przez dowolne aplikacje chcące używać sesji multimedialnych, jak np.
gry dla wielu graczy.

%package devel
Summary:	Header files for libeXosip2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libeXosip2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	c-ares-devel
Requires:	libosip2-devel >= 5.0.0
Requires:	openssl-devel >= 1.0.2

%description devel
Header files for libeXosip2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libeXosip2.

%package static
Summary:	Static libeXosip2 library
Summary(pl.UTF-8):	Statyczna biblioteka libeXosip2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libeXosip2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libeXosip2.

%prep
%setup -q -n libexosip2-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-openssl
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/sip_reg
%attr(755,root,root) %{_libdir}/libeXosip2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeXosip2.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeXosip2.so
%{_libdir}/libeXosip2.la
%{_includedir}/eXosip2

%files static
%defattr(644,root,root,755)
%{_libdir}/libeXosip2.a
%changelog
* Wed Oct 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libeXosip2.git;a=log;h=master

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 4fabc78
- updated to 5.0.0

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 820c852
- updated to 4.1.0

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 1177d20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> e5037a3
- added link patch (no unnecessary linking with -lnsl)
- devel deps, BR: c-ares-devel
- pl fixes

* Mon Jun 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> f464927
- Version: 4.0.0

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c1b773
- release 2

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 34a1c18
- auto*ize, because if cries for autoconf anyways
- BR: autoconf, automake, libtool, pkgconfig

* Mon Oct 18 2010 Jan Palus <jan.palus@gmail.com> 11088eb
- fix linking with openssl due to -Wl,--as-needed
- adapterized

* Fri Jun 04 2010 arvenil <arvenil@pld-linux.org> d46632e
- droped -j1

* Fri Jun 04 2010 arvenil <arvenil@pld-linux.org> 6848314
- added %ghost
- BR: openssl-devel (with openssl support)
- cleanup
- release 1

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 7d6dde3
- updated to 3.3.0
- changed BR libosip2 to libosip2-devel

* Sun Nov 02 2008 Jarosław Kruk <jareq@pld-linux.org> 879f65d
- updated to 3.2.0

* Sun Mar 30 2008 undefine <undefine@pld-linux.org> caa3f69
- initial

